﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AppData
{
    /*
     *       _____ _____ _____                _       _
     *      |_   _/  __ \_   _|              (_)     | |
     *        | | | /  \/ | |  ___  ___   ___ _  __ _| |
     *        | | ||      | | / __|/ _ \ / __| |/ _` | |
     *       _| |_| \__/\ | |_\__ \ (_) | (__| | (_| | |
     *      |_____\_____/ |_(_)___/\___/ \___|_|\__,_|_|
     *                   ___
     *                  |  _|___ ___ ___
     *                  |  _|  _| -_| -_|  LICENSE
     *                  |_| |_| |___|___|
     *
     * IT NEWS  <>  PROGRAMMING  <>  HW & SW  <>  COMMUNITY
     *
     * This source code is a part of online courses at IT social
     * network WWW.ICT.SOCIAL
     *
     * Feel free to use it for whatever you want, modify it and share it but
     * don't forget to keep this link in your code.
     *
     * Visit http://www.ict.social/licenses for more information
     */
    class Program
    {
        static void Main(string[] args)
        {
            // The following example will create a new application folder in the user's AppData folder
            string path = "";
            try
            {
                path = Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData), "IctSocial");
                if (!Directory.Exists(path))
                    Directory.CreateDirectory(path);
            }
            catch
            {
                Console.WriteLine("Program failed to create a {0} folder, please check your privileges.", path);
            }
            if (File.Exists(Path.Combine(path, "database.dat")))
            {
                try
                {
                    // Place your code for loading your settings from the file here
                }
                catch (Exception e)
                {
                    Console.WriteLine("Error while loading the settings: {0}", e.Message);
                }
            }
            else
            {
                try
                {
                    // Place your code for creating your settings here
                }
                catch (Exception e)
                {
                    Console.WriteLine("Error while creating the settings: {0}", e.Message);
                }
            }            
        }
    }
}
